# $Revision: 1.8 $, $Date: 2008/12/15 20:51:55 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	IO
%define	pnam	Compress-Base
Summary:	IO::Compress::Base - Base Class for IO::Compress modules
Summary(pl.UTF-8):	IO::Compress::Base - klasa bazowa dla modułów IO::Compress
Name:		perl-IO-Compress-Base
Version:	2.015
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IO/IO-Compress-Base-%{version}.tar.gz
# Source0-md5:	009813067e40c73c28c23fde8d9abfd5
URL:		http://search.cpan.org/dist/IO-Compress-Base/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module is not intended for direct use in application code. Its
sole purpose if to to be sub-classed by IO::Compress and
IO::Uncompress modules.

%description -l pl.UTF-8
Ten moduł nie jest przeznaczony do bezpośredniego użycia w
aplikacjach. Jedynym jego celem jest tworzenie podklas w modułach
IO::Compress i IO::Uncompress.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	INST_LIB=blib/lib
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{perl_vendorlib}/IO/{Compress,Uncompress}/Adapter

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/File/GlobMapper.pm
%dir %{perl_vendorlib}/IO/Compress
%dir %{perl_vendorlib}/IO/Compress/Adapter
%{perl_vendorlib}/IO/Compress/Base.pm
%{perl_vendorlib}/IO/Compress/Base
%dir %{perl_vendorlib}/IO/Uncompress
%dir %{perl_vendorlib}/IO/Uncompress/Adapter
%{perl_vendorlib}/IO/Uncompress/AnyUncompress.pm
%{perl_vendorlib}/IO/Uncompress/Base.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IO-Compress-Base.spec,v $
Revision 1.8  2008/12/15 20:51:55  qboosh
- install to vendorlib (not vendorarch) even on perl 5.10

Revision 1.7  2008/12/14 12:31:59  agaran
- up to 2.015

Revision 1.6  2007/12/19 16:36:00  zbyniu
- up to 2.008

Revision 1.5  2007-05-27 11:51:38  agaran
- up to 2.004, rel 1, builds here

Revision 1.4  2007/02/12 22:09:11  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:46  baggins
- converted to UTF-8

Revision 1.2  2006/12/22 18:50:30  qboosh
- added Adapter dirs used by IO::*ompress::* modules

Revision 1.1  2006/12/22 18:10:47  qboosh
- new
